#include<iostream>
using namespace std;
bool prosto(int chislo){
   int br=0;
   for(int del=1;del<=chislo/2;del++)
   {
       if(chislo%del==0)
          br++;
   }
   if(br==1)
      return true;
   return false;
}
int main(){
    long long n,pred=0;
    cin>>n;
    if(n==1 || prosto(n))
    {
        pred=1;
    }else{
        long long br=1,a;
        for(int del=2;del<=n;del++){
            while(n%del==0){
                n/=del;
                br++;
            }
        }
        pred=br-1;
    }

    cout<<pred<<endl;
return 0;
}
